import React from 'react';
import PropTypes from 'prop-types';
import style from './Drawing.sass';

const Numbers = ({ numbers }) => (
  <div className={style.numbers}>
    {
      numbers.map((number, index) => (
        <div key={index} className={style.number}>
          {number}
        </div>
      ))
    }
  </div>
);

Numbers.propTypes = {
  numbers: PropTypes.arrayOf(PropTypes.number).isRequired,
};

export default class Drawing extends React.Component {
  static propTypes = {
    ranking: PropTypes.arrayOf(PropTypes.shape({
      rank: PropTypes.string,
      winners: PropTypes.int,
    })).isRequired,
    numbers: PropTypes.arrayOf(PropTypes.number).isRequired,
  }

  static defaultProps = {

  }

  render() {
    const { ranking, numbers } = this.props;
    return (
      <div className={style.drawing}>
        <Numbers numbers={numbers} />
        <div className={style.ranking}>
          {
            ranking.map(({ rank, winners }) => (
              <div key={rank} className={style.rank}>
                <div className={style.rankName}>{rank}</div>
                <div className={style.winners}>{winners > 0 ? winners : 'No'} winners</div>
              </div>
            ))
          }
        </div>
      </div>
    );
  }
}
